package com.uiui.zyappstore.bean;

import android.graphics.drawable.Drawable;

import java.io.Serializable;

/**
 * Created by asus on 2017/10/26.
 */

public class LocalApp implements Serializable {
    private static final long serialVersionUID = -9160249766709133844L;

    private String appName;//名字
    private Drawable icon;//图片
    private String company;//公司
    private int size;//软件的大小
    private String version;//软件的版本号
    private String packageName;//软件的包名
    private int versionCode;
    private boolean isNeedUpdate = false;
    private boolean canUnintall = true;
    private long firstInstallTime;

    public LocalApp() {
    }

    public boolean isNeedUpdate() {
        return isNeedUpdate;
    }

    public void setNeedUpdate(boolean needUpdate) {
        isNeedUpdate = needUpdate;
    }

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }


    public void setIcon(Drawable icon) {
        this.icon = icon;
    }

    public Drawable getIcon() {
        return icon;
    }

    public String getCompany() {
        return company;
    }

    public void setCompany(String company) {
        this.company = company;
    }

    public int getSize() {
        return size;
    }

    public void setSize(int size) {
        this.size = size;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public int getVersionCode() {
        return versionCode;
    }

    public void setVersionCode(int versionCode) {
        this.versionCode = versionCode;
    }

    public String getPackageName() {
        return packageName;
    }

    public void setPackageName(String packageName) {
        this.packageName = packageName;
    }

    public boolean isCanUnintall() {
        return canUnintall;
    }

    public void setCanUnintall(boolean canUnintall) {
        this.canUnintall = canUnintall;
    }

    public long getFirstInstallTime() {
        return firstInstallTime;
    }

    public void setFirstInstallTime(long firstInstallTime) {
        this.firstInstallTime = firstInstallTime;
    }
}
